package yangtz.cs.liu.campus.service.area;


import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;
import yangtz.cs.liu.campus.domain.area.SchoolAreaApply;
import yangtz.cs.liu.campus.vo.area.AreaApplyTodoVo;
import yangtz.cs.liu.campus.vo.area.AreaApplyVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 学校场地申请Service接口
 * 
 * @author ruoyi
 * @date 2022-09-29
 */
public interface ISchoolAreaApplyService extends IService<SchoolAreaApply>
{
    List<AreaApplyTodoVo> findTodoTasks(String key, SchoolAreaApply entity, String userId);

    List<AreaApplyTodoVo> findDoneTasks(String key, SchoolAreaApply entity, String userId);

    int submitApply(SchoolAreaApply schoolAreaApply, String userName, String type, Map<String, Object> variables);

    List<AreaApplyVo> queryList(String submitState,SchoolAreaApply schoolAreaApply);

    List<AreaApplyTodoVo> findMyTodoTasks(String areaapply, SchoolAreaApply entity, String userId);

    AreaApplyVo getInfo(Long id);
}
